LibreOffice: Group Service Reference

LibreOffice LibreOffice 6.4 SDK API Reference

List of all members
Group Service Reference

`import"Group.idl";`

Inheritance diagram for Group:

## Additional Inherited Members
Exported Interfaces inherited from XGroup
interface | com::sun::star::container::XChild
| allows access to the groups collection of the report. More...
interface | com::sun::star::beans::XPropertySet
| allows access to the properties of the instance. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of group instances. More...
interface | XFunctionsSupplier
| gives access to functions defined in the group definition. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Attributes inherited from XGroup
boolean | SortAscending
| Defines if the group is sorted ascending or descending. More...
boolean | HeaderOn
| Defines if a group has a header. More...
boolean | FooterOn
| Defines if a group has a footer. More...
XSection | Header { get raises(com::sun::star::container::NoSuchElementException); }
| returns the group header. More...
XSection | Footer { get raises(com::sun::star::container::NoSuchElementException); }
| returns the group footer. More...
short | GroupOn { set raises(com::sun::star::lang::IllegalArgumentException); }
| Specifies how to group data. More...
long | GroupInterval
| Defines an interval value that rows are grouped by. More...
short | KeepTogether { set raises(com::sun::star::lang::IllegalArgumentException); }
| Specifies if a group header, detail, and footer section is printed on the same page. More...
com::sun::star::report::XGroups | Groups
| Specifies the parent of the group. More...
string | Expression
| Defines either a column name or an expression. More...
boolean | StartNewColumn
| Specifies that the group header should always be printed on a new column. More...
boolean | ResetPageNumber
| Specifies that the group header should always be printed on a new page and the reset of the page number to zero. More...
Public Attributes inherited from XFunctionsSupplier
com::sun::star::report::XFunctions | Functions
| access to the functions More...

The documentation for this service was generated from the following file:

- com/sun/star/report/Group.idl